function SetBar(n) {
  bar.SetBar(n);
}

function SetArtist(artist) {
  ThisArtist = artist;
}

function SetArtPath(path) {
  alert("No!");
  ThisArtPath = "art/"+path;
}

function SetCategory(n) {
  ThisCategory = n;
}

function abbrev(name) {
  name = name.toLowerCase();
  name = name.replace(/^.*\s/, "");
  return name;
}


var ZoomedIn = 1;
var ThisArtist = "";
var ThisArtPath = "";
var ThisCategory = 0;

var Artists = new Object();
var ArtistOrder = new Array();


//FEL

a = ArtistOrder[ArtistOrder.length] = Artists.Fel = new Object();
a.name = "Fel";
a.links = new Array();
a.links[a.links.length] = "http://www.pft.com/~fel/;Fel Erotic Anthro Illustration";
a.links[a.links.length] = "http://us.vclart.net/vcl/Artists/Fel/;VCL Gallery";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Fel's Art 2004";
c.path = "Fel";
c.thumb = "sfx_mff-gift.jpg";


//FENNEC
a = ArtistOrder[ArtistOrder.length] = Artists.Fennec = new Object();
a.name = "Fennec";
a.fromNotAbout = true;
a.desc = "Yay - some more filthy furry for for FAP #2 - sketches from cons of the '04 season, print runs, and doodles for you to see while this foxie gets settled in his new den IRL! Remember to tip your hand :p<div style=\"text-align: right;\">Fennec &lt;^_^&gt;</div><br><a href=\"commissionfennec.html\" target=\"_new\">Commission Info</a>";
a.links = new Array();
a.links[a.links.length] = "http://www.pft.com/~fennec/;Fennec's Foxhole (pft.com)";
a.links[a.links.length] = "http://www.furnation.com/fennec/;Fennec's Foxhole (furnation.com)";
a.links[a.links.length] = "mailto:fennec13@prodigy.net;Email Fennec: fennec13@prodigy.net";
a.portrait = true;
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Prints";
c.path = "Fennec/Prints";
c.thumb = "Fenn---HorsieASS-Print.jpg";

c = a.categories[a.categories.length] = new Object();
c.title = "Con Sketches";
c.path = "Fennec/Con Sketches";
c.thumb = "FC04-otterDJ-Yay.jpg";

c = a.categories[a.categories.length] = new Object();
c.title = "Other Pics";
c.path = "Fennec/Other Pics";
c.thumb = "Fenn---Karwuffie.jpg";



//FOXXFIRE

a = ArtistOrder[ArtistOrder.length] = Artists.FoxxFire = new Object();
a.name = "FoxxFire";
a.desc = "FoxxFire is a longtime admirer of playfully procreative(ish) pursuits.  He works in a combination of markers, pencils, and digital media.";
a.portrait = true;
a.links = new Array();
a.links[a.links.length] = "http://foxxfire.com/;FoxxFire's Webpage of Yiffy Furry Art";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Colour";
c.path = "FoxxFire/colour";
c.thumb = "foxandsquirrel.jpg";

c = a.categories[a.categories.length] = new Object();
c.title = "Sketches";
c.path = "FoxxFire/sketches";
c.thumb = "marthean.jpg";

c = a.categories[a.categories.length] = new Object();
c.title = "Inks";
c.path = "FoxxFire/inks";
c.thumb = "tutor-seduction-2.jpg";


//GREENMONKEY

a = ArtistOrder[ArtistOrder.length] = Artists.Greenmonkey = new Object();
a.name = "Greenmonkey";
a.portrait = true;
a.links = new Array();
a.links[a.links.length] = "http://www.pft.com/~greenmonkey/;Grassland Divide";
a.links[a.links.length] = "http://us.vclart.net/vcl/Artists/Petrol/;VCL Gallery";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "2004 Art";
c.path = "Greenmonkey";
c.thumb = "rabbittoes.jpg";

c = a.categories[a.categories.length] = new Object();
c.title = "2004 Oekaki";
c.path = "Greenmonkey/oekaki";
c.thumb = "onface.jpg";

c = a.categories[a.categories.length] = new Object();
c.title = "High-Resolution Wallpapers";
c.path = "Greenmonkey/wallpapers";
c.thumb = "geeenmunkeh.jpg";


//GUPPY

a = ArtistOrder[ArtistOrder.length] = Artists.Guppy = new Object();
a.name = "Guppy";
a.links = new Array();
a.links[a.links.length] = "http://www.bluefurry.com/;Guppy's Homepage";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Guppy's Art 2004";
c.path = "Guppy";
c.thumb = "A002521.jpg";


//MYSTERIOUS MR GLENN

a = ArtistOrder[ArtistOrder.length] = Artists["Mysterious Mr. Glenn"] = new Object();
a.name = "Mysterious Mr. Glenn";
a.desc = "Mysterious Mr. Glenn, AKA lilglenndoggy, demi-glenn, or \"Hey!  You in the bushes!\", loves drawing furry smut and fights a never-ending battle to break every possible boundary of perversity imaginable.";
a.links = new Array();
a.links[a.links.length] = "http://us.vclart.net/vcl/Artists/Mysterious-Mr-Glenn/;VCL Gallery";
a.links[a.links.length] = "http://lilglenndoggy.sheezyart.com/;SheezyArt Gallery";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "B&amp;W/Unfinished";
c.path = "Mysterious Mr. Glenn/BW Unfinished";
c.thumb = "Yiff_Soulmatedbday.jpg";
c.desc = "Uncolored, unfinished, sordid and unsorted.";

c = a.categories[a.categories.length] = new Object();
c.title = "Under The Sea";
c.path = "Mysterious Mr. Glenn/Under The Sea";
c.thumb = "Orcaorgy_b.jpg";
c.desc = "The infamous ocean orgy and other sea mammal-related art";

c = a.categories[a.categories.length] = new Object();
c.title = "Color Work";
c.path = "Mysterious Mr. Glenn/Color";
c.thumb = "ForGuppy.jpg";
c.desc = "Vibrant, luminous, incandescent, naughty, and nud...ey";


//NANIMOOSE

a = ArtistOrder[ArtistOrder.length] = Artists.NaniMoose = new Object();
a.name = "NaniMoose";
a.desc = "NaniMoose is a pervert who likes to draw furry smut.  He mostly works in a digital medium known as Oekaki (public drawing BBS boards on the web).";
a.portrait = true;
a.links = new Array();
a.links[a.links.length] = "http://www.pft.com/~nanimoose/;NaniMoose's Smut Emporium";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Totally Gay";
c.path = "NaniMoose/Totally Gay";
c.thumb = "Lube_Job.jpg";
c.desc = "These boys sure do like to have sex with other boys."

c = a.categories[a.categories.length] = new Object();
c.title = "Sketches";
c.path = "NaniMoose/Sketches";
c.thumb = "Badger_Sketches.jpg";
c.desc = "Unfinished oekaki and pencil sketches";

c = a.categories[a.categories.length] = new Object();
c.title = "Not Totally Gay";
c.path = "NaniMoose/Not Totally Gay";
c.thumb = "Sly_Kitty.jpg";
c.desc = "May contain wimmins what ain't gots no clothes on.";




//    MINI-UPDATES

// EQUIS

a = ArtistOrder[ArtistOrder.length] = Artists.Equis = new Object();
a.name = "Equis";
a.desc = "Equis is full of wickedness and sin. His hobbies include spreading chaos and discord, random destruction, and puppies! He loves puppies. Don't let him bite you!";
a.portrait = true;
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Equis's 2004 Art";
c.path = "Equis";
c.thumb = "sleepy-bunny-copy.jpg";


// GRRRWOLF

a = ArtistOrder[ArtistOrder.length] = Artists.Grrrwolf = new Object();
a.name = "Grrrwolf";
a.fromNotAbout = true;
a.desc = "This past year has been an incredibly difficult one on me.  I'm behind on many, many things, I have moved twice, and work two jobs.  When I've had a moment or less than a moment, here is what I've been able to work on.  I know it's not much, and speed is definately the bane of my existance; but I hope it's good for a few yanks.  =P<br><br>Gratefully,<br>Grrrwolf";
a.portrait = true;
a.links = new Array();
a.links[a.links.length] = "http://www.furnation.com/Grrrwolf/;Grrrotica Parlor";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Grrrwolf's 2004 Art";
c.path = "Grrrwolf";
c.thumb = "plur-and-kel.jpg";


// IAN R. SOULFOX

a = ArtistOrder[ArtistOrder.length] = Artists["Ian R. Soulfox"] = new Object();
a.name = "Ian R. Soulfox";
a.links = new Array();
a.links[a.links.length] = "http://www.furnation.com/Ian_R_Soulfox/TheTailUnderground/;The Tail Underground";
a.categories = new Array();

c = a.categories[a.categories.length] = new Object();
c.title = "Dragon Checkup (Flash Animation)";
c.custom = '<a href="dragon-checkup/Dragon_Checkup_High.html" target="_new">Launch High-Quality</a><br><a href="dragon-checkup/Dragon_Checkup_Low.html" target="_new">Launch Low-Quality</a>';
c.thumb = "dragon-checkup.jpg";
c.desc = "This is one of my recent flash animations.  The premise is that a dragon is getting some sort of interesting checkup from some obviously alien researchers.";
